Skip to main content

Compress multiple documents into a .zip file

POST 

/documents/compress

Compress documents into an .ZIP archive file, and returns a S3 presigned url for the location of the archive file. The operation is async and processing time depends on the number and size of documents included; a 404 status code is returned until the file is ready.

Request

Query Parameters

    siteId string

    Site Identifier

Body

required

    anyOf

    documentIds string[]

    Documents to compress

    documents

    object[]

    Documents to compress with optional artifact identifiers

  • Array [

  • documentId stringrequired

    Document Identifier

    artifactId string

    Artifact Identifier

  • ]

Responses

201 CREATED

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    downloadUrl string

    Archive download URL

Loading...